com.qualcomm.ftccommon

## Enum ConfigWifiDirectActivity.Flag

- java.lang.Object
- - java.lang.Enum<ConfigWifiDirectActivity.Flag>
  - - com.qualcomm.ftccommon.ConfigWifiDirectActivity.Flag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConfigWifiDirectActivity.Flag>
  Enclosing class:
    ConfigWifiDirectActivity

      public static enum ConfigWifiDirectActivity.Flag
      extends java.lang.Enum<ConfigWifiDirectActivity.Flag>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE`
    `WIFI_DIRECT_DEVICE_NAME_INVALID`
    `WIFI_DIRECT_FIX_CONFIG`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConfigWifiDirectActivity.Flag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConfigWifiDirectActivity.Flag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ConfigWifiDirectActivity.Flag NONE

    - #### WIFI_DIRECT_FIX_CONFIG

          public static final ConfigWifiDirectActivity.Flag WIFI_DIRECT_FIX_CONFIG

    - #### WIFI_DIRECT_DEVICE_NAME_INVALID

          public static final ConfigWifiDirectActivity.Flag WIFI_DIRECT_DEVICE_NAME_INVALID

  - ### Method Detail

    - #### values

          public static ConfigWifiDirectActivity.Flag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConfigWifiDirectActivity.Flag c : ConfigWifiDirectActivity.Flag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConfigWifiDirectActivity.Flag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null